path: /build/build/zfs-kmod-kernel-5.10-2.3.0+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - epro list && emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/5.10.242-macaroni/extra/ -name '*.ko') ;
    do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:7a8e19fc54cfcaf730ad8fcd917257ce28886d2946ad9e52088596983198e8ae
  package:
    name: zfs-kmod
    version: 2.3.0+1
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: zfs-kmod
      version: 2.3.0
      category: sys-fs-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-12 15:36:02.111869395 +0000 UTC m=+475.455744602
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.242
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 45ecbea9e43a37d210a0570c46757e088b5f0c4a55a3085c828f0d8d7814a887
compressiontype: zstd
files:
- lib/modules/5.10.242-macaroni/extra/spl.ko.xz
- lib/modules/5.10.242-macaroni/extra/zfs.ko.xz
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.3.0+1
  category: kernel-5.10
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  provides:
  - name: zfs-kmod
    version: 2.3.0
    category: sys-fs-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.242
